Get Driving Path
curl --request GET \
--url https://api.tessie.com/{vin}/path \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tessie.com/{vin}/path"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tessie.com/{vin}/path', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"timestamp": 1728191237,
"latitude": 40.73061,
"longitude": -73.935242,
"heading": 116,
"battery_level": 79,
"speed": 18,
"odometer": 1234.56,
"autopilot": "Standby"
},
{
"timestamp": 1728191268,
"latitude": 40.73061,
"longitude": -73.935242,
"heading": 109,
"battery_level": 79,
"speed": 10,
"odometer": 1235.67,
"autopilot": "Standby"
},
{
"timestamp": 1728191299,
"latitude": 40.73061,
"longitude": -73.935242,
"heading": 118,
"battery_level": 78,
"speed": 5,
"odometer": 1236.78,
"autopilot": "Off"
}
]
}Vehicle Data
Get Driving Path
Returns the driving path of a vehicle during a given timeframe.
If no timeframe is specified, returns the driving path for the last 30 days.
GET
/
{vin}
/
path
Get Driving Path
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The associated VIN.
Query Parameters
The start of the timeframe. Unix timestamp in seconds.
The end of the timeframe. Unix timestamp in seconds.
Whether the path should be separated by individual drives.
Whether the path should be simplified to reduce the number of points.
Whether the path should include details like timestamps, speeds and headings.
Response
200 - application/json
Success

